# HyFI-ABSA

[![pypi-image]][pypi-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![license-image]][license-url]
[![codecov][codecov-image]][codecov-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->
[codecov-image]: https://codecov.io/gh/entelecheia/hyfi-absa/branch/main/graph/badge.svg?token=BC2f1ooCPI
[codecov-url]: https://codecov.io/gh/entelecheia/hyfi-absa
[pypi-image]: https://img.shields.io/pypi/v/hyfi-absa
[license-image]: https://img.shields.io/github/license/entelecheia/hyfi-absa
[license-url]: https://github.com/entelecheia/hyfi-absa/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/entelecheia/hyfi-absa?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/entelecheia/hyfi-absa
[release-url]: https://github.com/entelecheia/hyfi-absa/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg

[repo-url]: https://github.com/entelecheia/hyfi-absa
[pypi-url]: https://pypi.org/project/hyfi-absa
[docs-url]: https://hyfi-absa.entelecheia.ai
[changelog]: https://github.com/entelecheia/hyfi-absa/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/entelecheia/hyfi-absa/blob/main/CONTRIBUTING.md
<!-- Links: -->

HyFI-ABSA is a Python package developed as a plugin for the Hydra Fast Interface (HyFI).

- Documentation: [https://hyfi-absa.entelecheia.ai][docs-url]
- GitHub: [https://github.com/entelecheia/hyfi-absa][repo-url]
- PyPI: [https://pypi.org/project/hyfi-absa][pypi-url]

The main function of HyFI-ABSA is to facilitate Aspect-Based Sentiment Analysis (ABSA), a specialized form of sentiment analysis that allows you to evaluate specific components or aspects of a given text. It also performs general sentiment analysis tasks. One feature of the HyFI-ABSA package is its capacity to employ generative language models for creating training datasets. This feature not only eliminates the extensive manual labor typically associated with data collection and preparation, but also ensures a more diverse and balanced dataset, which subsequently improves the overall performance and accuracy of sentiment analysis. In addition to these primary features, HyFI-ABSA boasts seamless integration with the existing HyFI architecture, thus allowing you to effortlessly combine it with other HyFI plugins and tools.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [MIT License][license-url].
